import { useEffect, useRef } from 'react';
import { useLoaderData } from 'react-router';
import { loadMicroApp } from 'qiankun'
export type InvalidValue = undefined | null | ''
export const invalidValueList: InvalidValue[] = [undefined,null,'']
export const isInvalid = (v:unknown): boolean => invalidValueList.includes(v as any)
export default function Lowcode () {
    const data = useLoaderData() as any;
    const domRef = useRef<HTMLDivElement>(null)
    useEffect(() => {
        const {name,entry} = data
        const dom = domRef.current
        if(!name || !entry || !dom) {
            return
        }
        const container = document.createElement('div')
        const microApp = loadMicroApp({ name, entry, container })
        if (dom.append) dom.append(container)
        else if (dom.appendChild) dom.appendChild(container)

        return () => {
            microApp.unmount()
        }
    }, [data, domRef])
    return <div ref={domRef} ></div>
}

export const Component = Lowcode;