import { RouterProvider, redirect, createBrowserRouter } from 'react-router-dom'
const routers = createBrowserRouter([
  {
    path: '',
    loader: () => {
      return redirect('/workbench/user')
    }
  },
  {
    path: 'workbench',
    lazy: () => import('./pages/workbench/workbench'),
    children: [
      {
        path: 'user',
        loader: () => Promise.resolve({
          name: 'user',
          entry: '/lowcode/519366490558533.html',
        }),
        lazy: () => import('./pages/workbench/children/lowcode')
      },
      {
        path: 'role',
        loader: () => Promise.resolve({
          name: 'role',
          entry: '/lowcode/519366566789189.html',
        }),
        lazy: () => import('./pages/workbench/children/lowcode')
      },
    ]
  },
  {
    path: '*',
    loader: () => {
      return redirect('/workbench/user')
    }
  }
])

export const Routers = () => {
  return <RouterProvider router={routers} />
}
